Public Member Functions | Public Attributes | List of all members
libebook::SoftBookLZSSStream::Configuration Struct Reference

`#include <SoftBookLZSSStream.h>`

## Public Member Functions
| Configuration ()

## Public Attributes
unsigned | offsetBits
unsigned | lengthBits
unsigned | uncompressedLength
unsigned | fillPos
char | fillChar
bool | allowOverflow
bool | bigEndian

## Constructor & Destructor Documentation

## ◆ Configuration()

libebook::SoftBookLZSSStream::Configuration::Configuration | ( |  | ) |

## Member Data Documentation

## ◆ allowOverflow

bool libebook::SoftBookLZSSStream::Configuration::allowOverflow

## ◆ bigEndian

bool libebook::SoftBookLZSSStream::Configuration::bigEndian

## ◆ fillChar

char libebook::SoftBookLZSSStream::Configuration::fillChar

## ◆ fillPos

unsigned libebook::SoftBookLZSSStream::Configuration::fillPos

## ◆ lengthBits

unsigned libebook::SoftBookLZSSStream::Configuration::lengthBits

## ◆ offsetBits

unsigned libebook::SoftBookLZSSStream::Configuration::offsetBits

## ◆ uncompressedLength

unsigned libebook::SoftBookLZSSStream::Configuration::uncompressedLength

The documentation for this struct was generated from the following files:

- SoftBookLZSSStream.h
- SoftBookLZSSStream.cpp